Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.resource
Class FileResource

    java.lang.Object
      org.mortbay.resource.Resource
          org.mortbay.resource.URLResource
              org.mortbay.resource.FileResource

All Implemented Interfaces:
  Serializable

    public class FileResource

extends URLResource

File Resource. Handle resources of implied or explicit file type. This class can check for aliasing in the filesystem (eg case insensitivity). By default this is turned on, or it can be controlled with the "org.mortbay.util.FileResource.checkAliases" system parameter.

Author:
  Greg Wilkins (gregw)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mortbay.resource.URLResource
`_connection, _in, _url, _urlString`

Fields inherited from class org.mortbay.resource.Resource
`__defaultUseCaches`

Constructor Summary
`FileResource(URL url)`

Method Summary
`Resource` | `addPath(String path)` Returns the resource contained inside the current resource with the given name
`boolean` | `delete()` Deletes the given resource
`String` | `encode(String uri)` Encode according to this resource type.
`boolean` | `equals(Object o)`
`boolean` | `exists()` Returns true if the resource exists.
`URL` | `getAlias()`
`static boolean` | `getCheckAliases()` getCheckAliases.
`File` | `getFile()` Returns an File representing the given resource or NULL if this is not possible.
`InputStream` | `getInputStream()` Returns an input stream to the resource
`String` | `getName()` Returns the name of the resource
`OutputStream` | `getOutputStream()` Returns an output stream to the resource
`int` | `hashCode()`
`boolean` | `isDirectory()` Returns true if the respresenetd resource is a container/directory.
`long` | `lastModified()` Returns the last modified time
`long` | `length()` Return the length of the resource
`String[]` | `list()` Returns a list of resources contained in the given resource
`boolean` | `renameTo(Resource dest)` Rename the given resource
`static void` | `setCheckAliases(boolean checkAliases)` setCheckAliases.

Methods inherited from class org.mortbay.resource.URLResource
`checkConnection, getURL, getUseCaches, release, toString`

Methods inherited from class org.mortbay.resource.Resource
`finalize, getAssociate, getDefaultUseCaches, getListHTML, newClassPathResource, newClassPathResource, newResource, newResource, newResource, newResource, newSystemResource, setAssociate, setDefaultUseCaches, writeTo`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileResource

    public FileResource(URL url)
                 throws IOException,
                        URISyntaxException

Throws:
  `IOException`
  `URISyntaxException`

Method Detail

### setCheckAliases

    public static void setCheckAliases(boolean checkAliases)

  setCheckAliases.

  Parameters:
    `checkAliases` - True of resource aliases are to be checked for (eg case insensitivity or 8.3 short names) and treated as not found.

### getCheckAliases

    public static boolean getCheckAliases()

  getCheckAliases.

  Returns:
    True of resource aliases are to be checked for (eg case insensitivity or 8.3 short names) and treated as not found.

### addPath

    public Resource addPath(String path)
                     throws IOException,
                            MalformedURLException

  Description copied from class: `URLResource`
  Returns the resource contained inside the current resource with the given name

  Overrides:
    `addPath` in class `URLResource`
  Parameters:
    `path` - The path segment to add, which should be encoded by the encode method.
  Throws:
    `IOException`
    `MalformedURLException`

### getAlias

    public URL getAlias()

  Overrides:
    `getAlias` in class `Resource`
  Returns:
    The canonical Alias of this resource or null if none.

### exists

    public boolean exists()

  Returns true if the resource exists.

  Overrides:
    `exists` in class `URLResource`

### lastModified

    public long lastModified()

  Returns the last modified time

  Overrides:
    `lastModified` in class `URLResource`

### isDirectory

    public boolean isDirectory()

  Returns true if the respresenetd resource is a container/directory.

  Overrides:
    `isDirectory` in class `URLResource`

### length

    public long length()

  Return the length of the resource

  Overrides:
    `length` in class `URLResource`

### getName

    public String getName()

  Returns the name of the resource

  Overrides:
    `getName` in class `URLResource`

### getFile

    public File getFile()

  Returns an File representing the given resource or NULL if this is not possible.

  Overrides:
    `getFile` in class `URLResource`

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Returns an input stream to the resource

  Overrides:
    `getInputStream` in class `URLResource`
  Throws:
    `IOException`

### getOutputStream

    public OutputStream getOutputStream()
                                 throws IOException,
                                        SecurityException

  Returns an output stream to the resource

  Overrides:
    `getOutputStream` in class `URLResource`
  Throws:
    `IOException`
    `SecurityException`

### delete

    public boolean delete()
                   throws SecurityException

  Deletes the given resource

  Overrides:
    `delete` in class `URLResource`
  Throws:
    `SecurityException`

### renameTo

    public boolean renameTo(Resource dest)
                     throws SecurityException

  Rename the given resource

  Overrides:
    `renameTo` in class `URLResource`
  Throws:
    `SecurityException`

### list

    public String[] list()

  Returns a list of resources contained in the given resource

  Overrides:
    `list` in class `URLResource`

### encode

    public String encode(String uri)

  Encode according to this resource type. File URIs are encoded.

  Overrides:
    `encode` in class `Resource`
  Parameters:
    `uri` - URI to encode.
  Returns:
    The uri unchanged.

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `URLResource`
  Parameters:
    `o` -
  Returns:
    `true` of the object `o` is a `FileResource` pointing to the same file as this resource.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `URLResource`
  Returns:
    the hashcode.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.